VirtuousAI
Reference

Feedback

Create Feedback

POST
/api/v1/feedback

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

clientFeedbackId*string
Formatuuid
comment?|
kind*string
messageId*string
Formatuuid
reaction*string
Value in"thumbs_up" | "thumbs_down"
reasons?array<>|
sourceSurface?string
Default"chat_message"
threadId*string
Formatuuid
turnId?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/feedback" \  -H "Content-Type: application/json" \  -d '{    "clientFeedbackId": "91682908-9b2b-46c5-8c0f-d5df82e2290d",    "kind": "message_reaction",    "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",    "reaction": "thumbs_up",    "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e"  }'
{
  "clientFeedbackId": "91682908-9b2b-46c5-8c0f-d5df82e2290d",
  "comment": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "message_reaction",
  "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
  "reaction": "thumbs_up",
  "reasons": [
    "incorrect"
  ],
  "sourceSurface": "chat_message",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
  "turnId": "7513f73d-27ec-455d-85b7-7bd021b4dccf",
  "updatedAt": "2019-08-24T14:15:22Z",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Thread Reactions

GET
/api/v1/feedback/threads/{thread_id}/reactions

Path Parameters

thread_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/feedback/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/reactions"
[
  {
    "clientFeedbackId": "91682908-9b2b-46c5-8c0f-d5df82e2290d",
    "comment": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "kind": "message_reaction",
    "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
    "reaction": "thumbs_up",
    "reasons": [
      "incorrect"
    ],
    "sourceSurface": "chat_message",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
    "turnId": "7513f73d-27ec-455d-85b7-7bd021b4dccf",
    "updatedAt": "2019-08-24T14:15:22Z",
    "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Feedback Item

GET
/api/v1/feedback/{feedback_item_id}

Path Parameters

feedback_item_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/feedback/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "clientFeedbackId": "91682908-9b2b-46c5-8c0f-d5df82e2290d",
  "comment": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "message_reaction",
  "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
  "reaction": "thumbs_up",
  "reasons": [
    "incorrect"
  ],
  "sourceSurface": "chat_message",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
  "turnId": "7513f73d-27ec-455d-85b7-7bd021b4dccf",
  "updatedAt": "2019-08-24T14:15:22Z",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Patch Feedback Item

PATCH
/api/v1/feedback/{feedback_item_id}

Path Parameters

feedback_item_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

comment?|
kind*string
reaction?|
reasons?array<>|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/feedback/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "kind": "message_reaction"  }'
{
  "clientFeedbackId": "91682908-9b2b-46c5-8c0f-d5df82e2290d",
  "comment": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "message_reaction",
  "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
  "reaction": "thumbs_up",
  "reasons": [
    "incorrect"
  ],
  "sourceSurface": "chat_message",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
  "turnId": "7513f73d-27ec-455d-85b7-7bd021b4dccf",
  "updatedAt": "2019-08-24T14:15:22Z",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Feedback Item

DELETE
/api/v1/feedback/{feedback_item_id}

Path Parameters

feedback_item_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

curl -X DELETE "https://loading/api/v1/feedback/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}